[lldb-dev] [PATCH] For bug 18124 (make install fix for python packages)

Todd Fiala tfiala at google.com
Wed Dec 4 12:35:41 PST 2013


Hi all,

This is the patch previously reviewed here for fixing the autotools-based
install of python packages to the correct install tree.  Can I get a
committer to commit this, please?  Thank you!

The related bug report is here: http://llvm.org/bugs/show_bug.cgi?id=18124

Sincerely,
Todd Fiala
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.llvm.org/pipermail/lldb-dev/attachments/20131204/999ad8a9/attachment.html>
-------------- next part --------------
commit f117dd20c1440b5e4c6a7d0672125e540667c353
Author: Todd Fiala <tfiala at google.com>
Date:   Tue Dec 3 10:29:55 2013 -0800

    Change 'make install' to copy python packages to the prefix dir.
    
    Also makes python script install failures fail out of make.
    
    Fixed up python script install step to install to the prefix dir.

diff --git a/scripts/finish-swig-wrapper-classes.sh b/scripts/finish-swig-wrapper-classes.sh
index f0bca4b..806f286 100755
--- a/scripts/finish-swig-wrapper-classes.sh
+++ b/scripts/finish-swig-wrapper-classes.sh
@@ -89,6 +89,11 @@ do
 
 
             ./finish-swig-${curlang}-LLDB.sh $SRC_ROOT $TARGET_DIR $CONFIG_BUILD_DIR "${PREFIX}" "${debug_flag}" "${makefile_flag}"
+            retval=$?
+            if [ $retval -ne 0 ]; then
+                echo "$(pwd)/finish-swig-${curlang}-LLDB.sh failed with exit code $retval"
+                exit $retval
+            fi
         fi
     fi
 done
diff --git a/source/Interpreter/Makefile b/source/Interpreter/Makefile
index 5a6ffba..f077292 100644
--- a/source/Interpreter/Makefile
+++ b/source/Interpreter/Makefile
@@ -35,7 +35,7 @@ LLDBWrapPython.cpp lldb.py: $(PROJ_SRC_DIR)/$(LLDB_LEVEL)/scripts/Python/modify-
 
 install-local:: lldb.py
 	$(Echo) Installing $(BuildMode) LLDB python modules
-	$(Verb) "$(PROJ_SRC_DIR)/$(LLDB_LEVEL)/scripts/finish-swig-wrapper-classes.sh" "$(PROJ_SRC_DIR)/$(LLDB_LEVEL)" "$(PROJ_OBJ_DIR)" "$(PROJ_OBJ_DIR)" "" -m
+	$(Verb) "$(PROJ_SRC_DIR)/$(LLDB_LEVEL)/scripts/finish-swig-wrapper-classes.sh" "$(PROJ_SRC_DIR)/$(LLDB_LEVEL)" "$(PROJ_OBJ_DIR)" "$(PROJ_OBJ_DIR)" "$(prefix)" -m
 
 clean-local::
 	$(Verb) $(RM) -f LLDBWrapPython.cpp lldb.py


More information about the lldb-dev mailing list